Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2
Class ODEConfigProperties

    java.lang.Object
      org.apache.ode.il.config.OdeConfigProperties
          org.apache.ode.axis2.ODEConfigProperties

    public class ODEConfigProperties

extends OdeConfigProperties

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.il.config.OdeConfigProperties
`OdeConfigProperties.DatabaseMode`

Field Summary

Fields inherited from class org.apache.ode.il.config.OdeConfigProperties
`PROP_ATOMIC_SCOPES_RETRY_COUNT, PROP_ATOMIC_SCOPES_RETRY_DELAY, PROP_CONNECTOR_NAME, PROP_CONNECTOR_PORT, PROP_DAOCF, PROP_DB_EMBEDDED_NAME, PROP_DB_EXTERNAL_DS, PROP_DB_INTERNAL_DRIVER, PROP_DB_INTERNAL_PASSWORD, PROP_DB_INTERNAL_URL, PROP_DB_INTERNAL_USER, PROP_DB_LOGGING, PROP_DB_MODE, PROP_DB_POOL_BLOCKING, PROP_EVENT_LISTENERS, PROP_EXTENSION_BUNDLES_RT, PROP_EXTENSION_BUNDLES_VAL, PROP_MEX_INTERCEPTORS, PROP_POOL_MAX, PROP_POOL_MIN, PROP_PROCESS_DEHYDRATION, PROP_THREAD_POOL_SIZE, PROP_TX_FACTORY_CLASS, PROP_WORKING_DIR`

Constructor Summary
`ODEConfigProperties(java.io.File installRoot)`

Method Summary

Methods inherited from class org.apache.ode.il.config.OdeConfigProperties
`getAtomicScopeRetryCount, getAtomicScopeRetryDelay, getConnectorName, getConnectorPort, getDAOConnectionFactory, getDbDataSource, getDbEmbeddedName, getDbIntenralJdbcUrl, getDbInternalJdbcDriverClass, getDbInternalPassword, getDbInternalUserName, getDbMode, getEventListeners, getExtensionActivityBundlesRT, getExtensionActivityBundlesValidation, getFile, getMessageExchangeInterceptors, getPoolBlocking, getPoolMaxSize, getPoolMinSize, getProperties, getProperty, getProperty, getThreadPoolMaxSize, getTxFactoryClass, getWorkingDir, isDbLoggingEnabled, isDehydrationEnabled, load, set_props`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODEConfigProperties

    public ODEConfigProperties(java.io.File installRoot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD